## ide-editor-perspective ide-editor-perspective |

## Functions

void | ide_editor_perspective_focus_buffer ()
void | ide_editor_perspective_focus_buffer_in_current_stack ()
void | ide_editor_perspective_focus_location ()
IdeLayoutView * | ide_editor_perspective_get_active_view ()
IdeLayoutGrid * | ide_editor_perspective_get_grid ()
IdeEditorSidebar * | ide_editor_perspective_get_sidebar ()
IdeLayoutTransientSidebar * | ide_editor_perspective_get_transient_sidebar ()
GtkWidget * | ide_editor_perspective_get_utilities ()
GtkWidget * | ide_editor_perspective_get_overlay ()

## Types and Values

#define | IDE_TYPE_EDITOR_PERSPECTIVE
| IdeEditorPerspective

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── DzlDockBin
                        ╰── IdeLayout
                            ╰── IdeEditorPerspective

## Implemented Interfaces

IdeEditorPerspective implements AtkImplementorIface, GtkBuildable, DzlDockItem, DzlDock and IdePerspective.

## Description

## Functions

### ide_editor_perspective_focus_buffer ()

    void
    ide_editor_perspective_focus_buffer (IdeEditorPerspective *self,
                                         IdeBuffer *buffer);

### ide_editor_perspective_focus_buffer_in_current_stack ()

    void
    ide_editor_perspective_focus_buffer_in_current_stack
                                   (IdeEditorPerspective *self,
                                    IdeBuffer *buffer);

### ide_editor_perspective_focus_location ()

    void
    ide_editor_perspective_focus_location (IdeEditorPerspective *self,
                                           IdeSourceLocation *location);

### ide_editor_perspective_get_active_view ()

    IdeLayoutView *
    ide_editor_perspective_get_active_view
                                   (IdeEditorPerspective *self);

Gets the active view for the perspective, or `NULL` if there is not one.

#### Parameters

self | a IdeEditorPerspective |

#### Returns

An IdeLayoutView or `NULL`.

[nullable][transfer none]

Since: 3.26

### ide_editor_perspective_get_grid ()

    IdeLayoutGrid *
    ide_editor_perspective_get_grid (IdeEditorPerspective *self);

Gets the grid for the perspective. This is the area containing grid columns, stacks, and views.

#### Parameters

self | a IdeEditorPerspective |

#### Returns

An IdeLayoutGrid.

[transfer none]

Since: 3.26

### ide_editor_perspective_get_sidebar ()

    IdeEditorSidebar *
    ide_editor_perspective_get_sidebar (IdeEditorPerspective *self);

Gets the IdeEditorSidebar for the editor perspective.

#### Parameters

self | a IdeEditorPerspective |

#### Returns

an IdeEditorSidebar.

[transfer none]

Since: 3.26

### ide_editor_perspective_get_transient_sidebar ()

    IdeLayoutTransientSidebar *
    ide_editor_perspective_get_transient_sidebar
                                   (IdeEditorPerspective *self);

Gets the transient sidebar for the editor perspective.

The transient sidebar is a sidebar on the right side of the perspective. It is displayed only when necessary. It animates in and out of view based on focus tracking and other heuristics.

#### Parameters

self | a IdeEditorPerspective |

#### Returns

An IdeLayoutTransientSidebar.

[transfer none]

Since: 3.26

### ide_editor_perspective_get_utilities ()

    GtkWidget *
    ide_editor_perspective_get_utilities (IdeEditorPerspective *self);

#### Returns

An IdeEditorUtilities.

[transfer none]

### ide_editor_perspective_get_overlay ()

    GtkWidget *
    ide_editor_perspective_get_overlay (IdeEditorPerspective *self);

Gets the overlay widget which can be used to layer things above all items in the layout grid.

#### Parameters

self | a IdeEditorPerspective |

#### Returns

a GtkWidget.

[transfer none][type Gtk.Overlay]

## Types and Values

### IDE_TYPE_EDITOR_PERSPECTIVE

    #define IDE_TYPE_EDITOR_PERSPECTIVE (ide_editor_perspective_get_type())

### IdeEditorPerspective

    typedef struct _IdeEditorPerspective IdeEditorPerspective;